org.apache.lucene.facet.sortedset

## Class SortedSetDocValuesFacetField

- java.lang.Object
- - org.apache.lucene.document.Field
  - - org.apache.lucene.facet.sortedset.SortedSetDocValuesFacetField

All Implemented Interfaces:
  IndexableField

    public class SortedSetDocValuesFacetField
    extends Field

Add an instance of this to your Document for every facet label to be indexed via SortedSetDocValues.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.document.Field

`Field.Store`

### Field Summary

Fields
`String` `dim` Dimension.
`String` `label` Label.
`static FieldType` `TYPE` Indexed `FieldType`.

### Fields inherited from class org.apache.lucene.document.Field

`fieldsData, name, tokenStream, type`

### Constructor Summary

Constructors
Constructor and Description
`SortedSetDocValuesFacetField(String dim, String label)` Sole constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class org.apache.lucene.document.Field

`binaryValue, fieldType, getCharSequenceValue, name, numericValue, readerValue, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE

    public static final FieldType TYPE

Indexed `FieldType`.

#### dim

    public final String dim

Dimension.

#### label

    public final String label

Label.

### Constructor Detail

#### SortedSetDocValuesFacetField

    public SortedSetDocValuesFacetField(String dim,
                                        String label)

Sole constructor.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Field`